Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoDecomposeMatrix Class Reference
[Engine classes]

The SoDecomposeMatrix class is used to decompose a matrix into simple transformations. More...

`#include <Inventor/engines/SoCompose.h>`

Inheritance diagram for SoDecomposeMatrix:

List of all members.

## Public Attributes
SoMFMatrix | matrix
SoMFVec3f | center
SoEngineOutput | translation
SoEngineOutput | rotation
SoEngineOutput | scaleFactor
SoEngineOutput | scaleOrientation

## Detailed Description

The SoDecomposeMatrix class is used to decompose a matrix into simple transformations.

## Member Data Documentation

SoMFMatrix SoDecomposeMatrix::matrix

| Set of transformation matrices to decompose into their translation/rotation/scale parts.

SoMFVec3f SoDecomposeMatrix::center

| Center points of transform matrices.

SoEngineOutput SoDecomposeMatrix::translation

| (SoMFVec3f) Translation parts of input matrices.

SoEngineOutput SoDecomposeMatrix::rotation

| (SoMFRotation) Rotation parts of input matrices.

SoEngineOutput SoDecomposeMatrix::scaleFactor

| (SoMFVec3f) Scale vectors of input matrices.

SoEngineOutput SoDecomposeMatrix::scaleOrientation

| (SoMFRotation) Scale orientation values of the input matrices.

The documentation for this class was generated from the following files:

- SoDecomposeMatrix.h
- SoDecomposeMatrix.cpp